function image = displayMasks(maskX,maskY)
% Function that displays the contourn of the thermograms in yellow and all
% the reprojected points in red on a black background.

% INPUT:
% maskX: object silhouette.
% maskY: binary image in which each pixel has value 1 if at least one 
%        3D point is projected onto that pixel, 0 otherwise.


[Rv, Rh] = size(maskX);
image = zeros(Rv,Rh,3);
for i = 1:Rv
    for j = 1:Rh
        if maskX(i,j) == 1
            image(i,j,:) = [255 215 0]; % Yellow
        else
            if maskY(i,j) >= 1
                image(i,j,:) = [255 0 0]; % Red
            else
                image(i,j,:) = [0 0 0]; % Black
            end
        end
    end
end


figure
imshow(image)
                  