% Example 1
% This example shows how the automatic extrinsic calibration is performed. 
% Once computed the extrinsic parameters, the thermogram is integrated with 
% the point cloud.

close all

tic
 
% Loading the point cloud 
ptCloud = pcread('examples\TARGET3D.ply');  

% Loading the temperature matrix
matTemp = load('examples\thermogramB_cut');

% Loading the file with the correspondence of 2D and 3D points.
% The first two column of the file are the coordinates of the 2D points,
% whereas the other 3 columns are the coordinate of the 3D points. This
% file was created by manually selecting a series of homologous points from
% the point cloud and the thermogram.
C_P = load('examples\Pts2D3D_B.txt'); 
Points_2D = C_P(:,1:2);
Points_3D = C_P(:,3:5);

% Setting the rng seed (change this if stuck in a local minimum of the
% Objective Function)
rng(12,'twister');

% Function performing calibration and integration
[vetT, Theta, conf, worldLocation, worldOrientation] = thermography3D(Points_2D, Points_3D, ptCloud, matTemp,1,1);

% Showing the integration
show3DTcloud(vetT, ptCloud, 'hsv', []);
setView

toc