function algImage = expandPattern(P, expansionN, algImage)
% Function that creates internal and external shells starting from the
% contourn.

% INPUT:
% P:            point of the Map.
% expansionN:   number of the contourn currently analyzed. 

% OUTPUT
% algImage:     image obtained.

[Rv, Rh] = size(algImage);

A = [P(1)+1, P(2)];
B = [P(1)-1, P(2)];
C = [P(1), P(2)+1];
D = [P(1), P(2)-1];

if A(1) <= Rv
    if isnan(algImage(A(1), A(2)))  
        algImage(A(1), A(2)) = expansionN; 
    end
end

if B(1) > 0
    if isnan(algImage(B(1), B(2)))   
        algImage(B(1), B(2)) = expansionN; 
    end
end

if C(2) <= Rh
    if isnan(algImage(C(1), C(2)))   
        algImage(C(1), C(2)) = expansionN; 
    end
end

if D(2) > 0
    if isnan(algImage(D(1), D(2))) 
        algImage(D(1), D(2)) = expansionN; 
    end    
end

end