function MRE = mre(Points2D, Points3Dreproj)
% Function that computes the Mean Reprojection Error.

% INPUT:  
% Points2D: 2D points.
% Points3Dreproj: homologous 3D points reprojected onto the image plane.

% OUTPUT:
% MRE: Mean Reprojection Error.

N_P = size(Points2D,1);

diff = Points2D - Points3Dreproj;

dis = sqrt(sum(diff.^2,2));

MRE = sum(dis,1)/N_P;

end

